package com.simuwang.base.pojo.valuation;

import java.util.List;
import java.util.Map;

public  class ExcelInfo {
		/** 列标题所占行数 */
		private int titleRows = 1;
		private int headerRows = 0;
		private int footerRows = 0;
		private List<String> headerInfo = null;
		private List<String> footerInfo = null;

		/** 修正后的*/
		private Map<String, ExcelEntity> fieldMap = null;

		private Map<String, Integer> cellIndexMap = null;

		private AssetsValuationType type = null;

		public int getTitleRows() {
			return titleRows;
		}

		public void setTitleRows(int titleRows) {
			this.titleRows = titleRows;
		}

		public int getHeaderRows() {
			return headerRows;
		}

		public void setHeaderRows(int headerRows) {
			this.headerRows = headerRows;
		}

		public int getFooterRows() {
			return footerRows;
		}

		public void setFooterRows(int footerRows) {
			this.footerRows = footerRows;
		}

		public List<String> getHeaderInfo() {
			return headerInfo;
		}

		public void setHeaderInfo(List<String> headerInfo) {
			this.headerInfo = headerInfo;
		}

		public List<String> getFooterInfo() {
			return footerInfo;
		}

		public void setFooterInfo(List<String> footerInfo) {
			this.footerInfo = footerInfo;
		}

		public AssetsValuationType getType() {
			return type;
		}

		public void setType(AssetsValuationType type) {
			this.type = type;
		}

		public Map<String, Integer> getCellIndexMap() {
			return cellIndexMap;
		}

		public void setCellIndexMap(Map<String, Integer> cellIndexMap) {
			this.cellIndexMap = cellIndexMap;
		}

		public Map<String, ExcelEntity> getFieldMap() {
			return fieldMap;
		}

		public void setFieldMap(Map<String, ExcelEntity> fieldMap) {
			this.fieldMap = fieldMap;
		}
	}